| Select Device (ttstpsplopen ) |  |
| Use this session to select the device on which you want to print your reports or messages. You can print eMessage Connector reports from any print session in ERP LN. The Send Message tab contains fields allowing you to identify the message, specify delivery options for the message, and enter information about the recipients. Follow this procedure to send a message from the print dialog box: Enter the subject of the message and, optionally, a list of the categories to which it belongs. Specify the delivery options. If you want the message to be delayed, enter the time after which it can be delivered in Deliver After. If you want the message to be deleted after a certain time, enter this time in Expire After. The valid format is the standard ERP LN yyyymmdd hhmmss. You can specify a template and charge code only if the message is a fax. You can enter the message body text by pressing Message. You can enter the message recipients by pressing Recipients. If you do not add recipients to the message, the message is always forwarded to the client service, for example, Outlook.
Fields | Description
Printer
Device | The name of the output device to send the output to. Note For some output devices it is supposed that specific software is installed and configured on the ERP LN server or on the Client PC. Examples: If you select a device that sends your report to Microsoft Excel then MS Excel must be installed on your PC. If you select a device that sends your report to a Unix printer (Device type: Printer or Logical printer), then the ERP LN printer daemon must be up and running on the ERP LN Unix server. If you select a device that sends your report to Business Objects Enterprise, then the Business Objects (TM) Xi Integration Kit for Baan must be installed and configured on your PC. Enter a device or select a device from a device list via session Device Data (ttaad3500m000). In the Printer tab you can select devices of type: Printer - only applicable for a Unix printer using the ERP LN printer daemon. Direct - only applicable for a Unix printer without using the ERP LN printer daemon. Windows printer - only applicable for a Windows network printer or a Local printer Logical printer - only applicable for a logical group of Unix printers In the Display tab you can select devices of type: Screen - the ERP LN Display Browser is started. In the File tab you can select devices of type: Rewrite file Append to file A File device can be configured by the ERP LN System Administrator for example to print your report to an Excel worksheet. For example settings, see table below:
Description | 4GL Program | Argument
ASCII file | ttstpconv | ASCII
Excel file | ttstpconv | ASCII:excel
HTML file | ttstpconv | HTML:iexplore
Notepad file | ttstpconv | ASCII:notepad
RTF file | ttstpconv | RTF:winword
Business Objects Enterprise | <empty> | XML server=ssssss port=pppp
Send report to E-mail address(es) | ttcmfprint | outlook
The session comes up with the preferred device from the user's preference list where: 1. the report width added with the left margin is not greater than the paper type width for the selected font, as defined in the session Fonts by Paper Type (ttaad3111m000). 2. the required report paper type, as defined in session Report Defaults (ttaad3105m000) is equal to the device paper type. It is not mandatory to fill report defaults in this session; if report defaults are not filled, no check on paper type will be done. These two mentioned conditions are only applicable for devices with device type Printer and Direct. If the device type in the user preference list is Logical printer, then the system will search in the list of physical printers by logical printer to any physical printer, where the two mentioned conditions are satisfied. If you have selected a device, where the device paper type is different from the specified paper type, then the print request status will remain Waiting, until the device paper type has been changed via the session Change Paper Type of Printer (ttaad3102m000). If you have selected a device, where the report width is greater than the device paper type width for the specified font, the program gives you the message: - Report does not fit on paper and asks you: - Are you sure you want to print ? if your answer is: No You are able to select a device, paper type, font etc. again. if your answer is: Yes The program asks you: - Wait until Device Paper Type has been changed? if your answer is: Yes The request status will remain Waiting, until the device paper type has been changed via the session Change Paper Type of Printer (ttaad3102m000).
Date | The date on which the report is printed. This is default the current date.
Time | The time on which the report is printed. Default is this the current time.
Copies | The number of copies you want to print.
From Page | The first page of the range you want to print.
To Page | The last page of the range you want to print.
Paper Type | The paper type which belongs to the specified printer.
Font | The font with which the report will be printed. You can only select a font which belongs to the paper type of the printer. If the report has a fixed font you cannot change the font.
Margin | The left margin of the report. Important! By default, this field displays a suggested margin which is based on the user defaults ( Save Defaults or Get Defaults ) for the Select Device (ttstpsplopen ) session. If no user defaults are defined, the suggested margin is calculated as follows: `suggested margin = the device margin specified in the Device Data (ttaad3100s000) session + the report's left margin specified in the Reports (ttadv3130s000) session` If you specify a margin in this field, this margin overrules the suggested margin. The specified margin is used for all reports that are sent to this active spool queue ( Device Queue (ttaad3520m000) ). The specified margin stays active as long as the report session is running.
Preview | Select this check box to display a preview of the report using BWPrint or Business Objects Enterprise report viewer. This check box can only be selected for a Windows printer or for a Rewrite file / Append to file device with an XML argument. In most cases, reports are printed in direct-mode, which means no user interaction is possible. In preview mode the report is first displayed on the screen so that the user can see his report and decide if he still needs a hardcopy. In preview mode the dialogs for font setup, paper bin assignment and barcode configuration can be activated. Currently, there is no support for preview of postscript-files. Also, the report as it is displayed in preview mode might be different from the actual hardcopy produced by the printer. This difference is most often caused by the limited resolution of the screen if compared to for instance a 600 DPI laser printer.
Template Code | Enter or select a Template code that will be used for the formatting of the preview of the report. This field is only applicable for printing to Business Objects Enterprise. This field can only be used for a Rewrite file / Append to file device with an XML argument and if at least one template is defined for that device.
Send Message
Subject | Enter the subject of the message.
Categories | Enter a list of the categories to which the message belongs. The list should be separated by commas. This function is currently supported by Microsoft Outlook.
Priority | Specify the priority of the message. The possible values are Low, Normal, or High. The default is Normal.
Sensitivity | Specify the sensitivity of the message. The possible values are Normal, Personal, Private, Confidential, and Secret. The default is Normal.
Deliver After | Specify after what time the message should be delivered. If you leave this field empty, the message is delivered immediately.
Expire After | Specify what time the message should expire. If you leave this field empty, the message never expires.
Notification | Enter the notification options for the message. The possible values are Always, Delivery, Non-Delivery, Never. The default is Non-Delivery. Notifications are never sent by the client side service, so for Outlook, for example, this field is ignored.
Show message before sending (if possible) | If this check box is selected, you can preview the message before it is actually sent. This can be used for a client-side service, for example to access Outlook for resolving the recipient’s email address.
Template Code | This field is not yet supported by ERP LN.
Charge Code | This field is not yet supported by ERP LN.
File
Output File | The path including the directory in which the output file is stored. The maximum length is 100 characters. Example for a Unix output file: ${BSE}/tmp/invoices Note: If the device is configured as "outlook" you can specify here the E-mail address(es) of the recipient(s).
Report code and description | This readonly field shows the report code and the report description. Example: Report ttams1401110000 User Data
Commands | Description
Continue | No Help topic is associated with this item.
View Recipients.. | Click this button to start a session which enables you to select the E-mail addresses from a list of recipients.
Message.. | Click this button to start the Text editor. You can enter the E-mail text here. The report itself is linked to the E-mail message as an Attachment.
Select Language | Click this button to select the language that is used on the report. Only if a label for the specified language is found, the label is printed. If a label for the specified language is not found, then the label of the standard language (default: English) is used.